com.saxonica.pull

## Class PullToStax.SourceStreamLocation

- java.lang.Object
- - com.saxonica.pull.PullToStax.SourceStreamLocation

- All Implemented Interfaces:
    Location
  Enclosing class:
    PullToStax

      public static class PullToStax.SourceStreamLocation
      extends Object
      implements Location

  Bridge a SAX SourceLocator to a javax.xml.stream.Location

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PullToStax.SourceStreamLocation(SourceLocator locator)` Create a StAX SourceStreamLocation object based on a given SAX SourceLocator

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCharacterOffset()`
    `int` | `getColumnNumber()`
    `int` | `getLineNumber()`
    `String` | `getPublicId()`
    `String` | `getSystemId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PullToStax.SourceStreamLocation

          public PullToStax.SourceStreamLocation(SourceLocator locator)

      Create a StAX SourceStreamLocation object based on a given SAX SourceLocator
      Parameters:
        `locator` - the SAX SourceLocator

  - ### Method Detail

    - #### getCharacterOffset

          public int getCharacterOffset()

      Specified by:
        `getCharacterOffset` in interface `Location`

    - #### getColumnNumber

          public int getColumnNumber()

      Specified by:
        `getColumnNumber` in interface `Location`

    - #### getLineNumber

          public int getLineNumber()

      Specified by:
        `getLineNumber` in interface `Location`

    - #### getPublicId

          public String getPublicId()

      Specified by:
        `getPublicId` in interface `Location`

    - #### getSystemId

          public String getSystemId()

      Specified by:
        `getSystemId` in interface `Location`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.